<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: BookDetailsDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_book_details_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_book_details_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BookDetailsDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_book_details_dialog_8h_source.html">BookDetailsDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for BookDetailsDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_book_details_dialog__inherit__graph.png" border="0" usemap="#_book_details_dialog_inherit__map" alt="Inheritance graph"/></div>
<map name="_book_details_dialog_inherit__map" id="_book_details_dialog_inherit__map">
<area shape="rect" id="node3" href="class_book_adder_dialog.html" title="BookAdderDialog" alt="" coords="5,155,128,181"/>
<area shape="rect" id="node4" href="class_book_manager_dialog.html" title="BookManagerDialog" alt="" coords="152,155,291,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for BookDetailsDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_book_details_dialog__coll__graph.png" border="0" usemap="#_book_details_dialog_coll__map" alt="Collaboration graph"/></div>
<map name="_book_details_dialog_coll__map" id="_book_details_dialog_coll__map">
<area shape="rect" id="node3" href="class_inline_label.html" title="InlineLabel" alt="" coords="99,81,183,108"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:aca2c15a4195ba11ef8933843f4da4597"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#aca2c15a4195ba11ef8933843f4da4597">getDetailsAboutBookRequest</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:aca2c15a4195ba11ef8933843f4da4597"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:ad349bcf5e6d958d07e29b355546b00db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#ad349bcf5e6d958d07e29b355546b00db">sendDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:ad349bcf5e6d958d07e29b355546b00db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a97b435e949ba67130e831d5e114feb0f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a97b435e949ba67130e831d5e114feb0f">BookDetailsDialog</a> (bool isReadOnly=true, QWidget *parent=0)</td></tr>
<tr class="separator:a97b435e949ba67130e831d5e114feb0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55803efb73392edd2f5eb0928bc47848"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a55803efb73392edd2f5eb0928bc47848">setup</a> ()</td></tr>
<tr class="separator:a55803efb73392edd2f5eb0928bc47848"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583234f5606f7be26ec2dbde8767ba75"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a583234f5606f7be26ec2dbde8767ba75">setBookId</a> (QString isbn)</td></tr>
<tr class="separator:a583234f5606f7be26ec2dbde8767ba75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1709550d11aeb5194c5448221a9acc72"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_book.html">Book</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a1709550d11aeb5194c5448221a9acc72">getBook</a> ()</td></tr>
<tr class="separator:a1709550d11aeb5194c5448221a9acc72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a316d30d906e4b5706309ac7d777e68b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a316d30d906e4b5706309ac7d777e68b1">populate</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a316d30d906e4b5706309ac7d777e68b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a0b4cfc2def903fd2dd0a7af1d9b3cfca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4cfc2def903fd2dd0a7af1d9b3cfca"></a>
QString&#160;</td><td class="memItemRight" valign="bottom"><b>bookIsbn</b> = &quot;&quot;</td></tr>
<tr class="separator:a0b4cfc2def903fd2dd0a7af1d9b3cfca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8ffc8da92e7cdd940d42281711837bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8ffc8da92e7cdd940d42281711837bc"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>isbnLabel</b></td></tr>
<tr class="separator:ac8ffc8da92e7cdd940d42281711837bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ef4c4fa853270384476024d6555b76"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8ef4c4fa853270384476024d6555b76"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>titleLabel</b></td></tr>
<tr class="separator:af8ef4c4fa853270384476024d6555b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92087f561a05f21cc70781a428369d19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92087f561a05f21cc70781a428369d19"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>descriptionLabel</b></td></tr>
<tr class="separator:a92087f561a05f21cc70781a428369d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Dialog with details about book; features:</p><ul>
<li>ISBN code</li>
<li>title</li>
<li>description</li>
<li>2 checkboxes: is available | is booked </li>
</ul>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a97b435e949ba67130e831d5e114feb0f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BookDetailsDialog::BookDetailsDialog </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReadOnly</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New dialog </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isReadOnly</td><td>whether user can edit fields </td></tr>
    <tr><td class="paramname">parent</td><td>parent widget to show dialog in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new dialog</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1709550d11aeb5194c5448221a9acc72"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_book.html">Book</a> BookDetailsDialog::getBook </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Builds book with fields set in dialog </p><dl class="section return"><dt>Returns</dt><dd>book </dd></dl>

</div>
</div>
<a class="anchor" id="aca2c15a4195ba11ef8933843f4da4597"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookDetailsDialog::getDetailsAboutBookRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReservedByUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isInUserWishlist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets backend response on book details </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>full book details </td></tr>
    <tr><td class="paramname">isReservedByUser</td><td>true iff current user has reserved this book </td></tr>
    <tr><td class="paramname">isInUserWishlist</td><td>true iff book is in current user wishlist </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a316d30d906e4b5706309ac7d777e68b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookDetailsDialog::populate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Populate dialog with book features </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to show in dialog </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad349bcf5e6d958d07e29b355546b00db"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookDetailsDialog::sendDetailsAboutBookRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>isbn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend for details about book with isbn </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbn</td><td>isbn of book to get details about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a583234f5606f7be26ec2dbde8767ba75"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void BookDetailsDialog::setBookId </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>isbn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets book dialog </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">isbn</td><td>isbn of book to display </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a55803efb73392edd2f5eb0928bc47848"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookDetailsDialog::setup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups gui </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/dialogs/BookDetailsDialog/<a class="el" href="_book_details_dialog_8h_source.html">BookDetailsDialog.h</a></li>
<li>gui/dialogs/BookDetailsDialog/BookDetailsDialog.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
